﻿@model WikiModel.Model.Attachment

@{
    ViewBag.Title = @Caption.Create;
    Layout = "~/Views/Shared/_GroupLayout.cshtml";
}

<h2>@Caption.Create @Caption.Attachment</h2>
@*@using (Ajax.BeginForm(actionName: "Create", controllerName: "Attachments",
    ajaxOptions: new AjaxOptions(), htmlAttributes: new { id = "Form1", name = "Form1" }, routeValues: new { }

    ))*@
@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.AttTitle, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.AttTitle, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.AttTitle, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.AttName, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <div class="k-rtl k-header">
                    <input name="files" id="files" type="file" @*accept="image/*"*@ />
                </div>
            </div>
            @*<div class="form-group">
                    @Html.LabelFor(model => model.AttPath, htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.AttPath, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.AttPath, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.AttSize, htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.AttSize, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.AttSize, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.AttType, htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.AttType, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.AttType, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.Date_Register, htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.Date_Register, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Date_Register, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.DocumentID, "DocumentID", htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10">
                        @Html.DropDownList("DocumentID", null, htmlAttributes: new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.DocumentID, "", new { @class = "text-danger" })
                    </div>
                </div>*@
            <div class="row">
                <div class="form-group">
                    <div class="col-md-offset-2 col-md-10">
                        <br />
                        <input type="submit" value=@Caption.Create class="btn btn-default col-md-1" />
                        @Html.ActionLink(Caption.BacktoList, "Index", "Documents", null,new { @class = "btn btn-danger col-md-1" })
                    </div>
  
                </div>
            </div>
        </div>
    </div>
}

@*<div>
    @Html.ActionLink(Caption.BacktoList, "Index", "Documents", null,new { @class = "btn btn-danger col-md-1" })
</div>*@
@section JavaScript
{
    <script id="fileListTemplate" type="text/x-kendo-template">
        <li class='k-file'>
            <span class='k-progress'></span>
            <span class='k-icon'></span>
            <span class='k-filename' title='#=name#'>#=name# (#=size# bytes)</span>
            <strong class='k-upload-status'></strong>
        </li>
    </script>
    <script type="text/javascript">
        $(function () {

            $("#files").kendoUpload({
                name: "files",
                @*async: {
                    // async configuration
                    saveUrl: "@Url.Action("Save", "Attachments")", // the url to save a file is '/save'
                    removeUrl: "@Url.Action("Remove", "Attachments")", // the url to remove a file is '/remove'
                    autoUpload: false, // automatically upload files once selected
                    removeVerb: 'POST',
                    batch: false //Maximum request length exceeded.
                },*@
                multiple: false,
                showFileList: true,
                //template: kendo.template($('#fileListTemplate').html()),
                localization: {
                    select: 'انتخاب فایل‌ها برای ارسال',
                    remove: 'حذف فایل',
                    retry: 'سعی مجدد',
                    headerStatusUploading: 'در حال ارسال فایل‌ها',
                    headerStatusUploaded: 'پایان ارسال',
                    cancel: "لغو",
                    uploadSelectedFiles: "ارسال فایل‌ها",
                    dropFilesHere: "فایل‌ها را برای ارسال، کشیده و در اینجا رها کنید",
                    statusUploading: "در حال ارسال",
                    statusUploaded: "ارسال شد",
                    statusWarning: "اخطار",
                    statusFailed: "خطا در ارسال"
                },
                cancel: function () {
                    console.log('Cancel Event.');
                },
                complete: function () {
                    console.log('Complete Event.');
                },
                error: function () {
                    console.log('Error uploading file.');
                },
                progress: function (e) {
                    console.log('Uploading file ' + e.percentComplete);
                },
                remove: function (e) {
                    if (!confirm("آیا برای حذف فایل اطمینان دارید؟")) {
                        e.preventDefault();
                    } else {
                        console.log('File removed.');
                    }
                },
                select: function () {
                    console.log('File selected.');
                },
                success: function () {
                    console.log('Upload successful.');
                },
                upload: function (e) {
                    console.log('Upload started.');
                    // Sending metadata to the save action
                    e.data = {
                        codeId: "1234567",
                        param2: 12
                        //, ...
                    };
                }
            }); // Create the Kendo Upload Widget

        });
    </script>
}
